Name:		katoob
Version:	0.5.9.1
Release:	%mkrel 5
Summary:	Light weight multilingual text editor that uses gtk2
URL:		http://www.arabeyes.org/project.php?proj=Katoob
License:	GPLv2+
Group:		Editors
# http://belnet.dl.sourceforge.net/sourceforge/arabeyes/katoob-0.3.5.tar.gz
Source:		ftp://foolab.org/pub/software/katoob/%name-%version.tar.gz
Source10:	%name-icons.tar.bz2
# fwang: patch from debian to get it build in 64 bit environment
Patch1:		katoob-0.5.8-getprotobyname-return-cast.patch
Patch2:		katoob-0.5.9.1-gcc43.patch
Patch3:		katoob-0.5.9.1-glibc2.10.patch
Patch4:		katoob-0.5.9.1-gtk.patch
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	gtk2-devel gtkmm2.4-devel
BuildRequires:  perl-XML-Parser
BuildRequires:	cups-devel bzip2-devel aspell-devel
BuildRequires:	enchant-devel curl-devel
BuildRequires:	desktop-file-utils
Requires:	enchant

%description
Katoob is a light weight, multi lingual, BIDI-aware texteditor. It sup-
ports opening and saving files in multiple encodings. The main support
was for Arabic language but more languages are currently supported.

%prep
%setup -q
%setup -q -T -D -a10
%patch2 -p1
%patch3 -p1
%patch4 -p0

%build
%configure2_5x --enable-spell
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications \
	--add-category="GTK" \
	%{buildroot}%{_datadir}/applications/*.desktop

#icons
install -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr( 0644, root, root, 755)
%doc README ChangeLog AUTHORS COPYING TODO THANKS NEWS
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}.*
%lang(de) %{_mandir}/de/man1/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%dir %{_datadir}/%{name}
%defattr( 0755, root, root, 755)
%{_bindir}/*


%changelog
* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.9.1-5mdv2011.0
+ Revision: 612523
- the mass rebuild of 2010.1 packages

* Fri Feb 19 2010 Funda Wang <fwang@mandriva.org> 0.5.9.1-4mdv2010.1
+ Revision: 508486
- add patches to build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.5.9.1-1mdv2008.1
+ Revision: 158512
- update to new version 0.5.9.1

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 0.5.9-1mdv2008.1
+ Revision: 155598
- New version 0.5.9

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 0.5.8-1mdv2008.1
+ Revision: 155488
- fix desktop file icon

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages

* Sun Jun 24 2007 Funda Wang <fwang@mandriva.org> 0.5.8-1mdv2008.0
+ Revision: 43652
- BR desktop-file-utils
- add patch from debian to fix build in x86-64
- Add more buildrequires
- BR gtkmm2.4-devel
- New version


* Fri Oct 13 2006 Lenny Cartier <lenny@mandriva.com> 0.5.3-1mdv2007.1
- 0.5.3
- xdg

* Wed May 17 2006 Lenny Cartier <lenny@mandriva.com> 0.3.9-1mdk
- 0.3.9

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.8-4mdk
- Fix BuildRequires

* Fri Oct 21 2005 Lenny Cartier <lenny@mandriva.com> 0.3.8-3mdk
- rebuild

* Wed Sep 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-2mdk
- enebale spellchecker

* Tue Aug 31 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-1mdk
- 0.3.8

